
// V-  Using pin 4 to Enable/Disable the Digital switch to power Uart sensor
//v - Include header files
#include "uart_sensor.h"	// For Using Uart sensor
#include "switch1.h"		//v- For controlling Digital SW to save Power

#define SLEEP_TIME_MS   8000

int ret2;
uint16_t Distance_Data;


int main()
{	
	// Start *************************** Retrieving GPIO for Switch 1 from DTs **************************
	// Used to check if retrieving GPIO for Switch 1 from DTs is successful
	ret2 = check_gpio_sw1(); 
	if(ret2){
		printk("Fail to retrieving GPIO for Switch 1 from DTs");
		exit(1);
	}

	turn_on_sw();
	k_msleep(1000);
	// End *************************** Retrieving GPIO for Switch 1 from DTs **************************

	while(1){

		// 0. Turn off the Digital Switch to power sensor and read data
		turn_on_sw();
		k_msleep(1500);  // Wait for the Digital switch's voltage to be stable
		
		initialize_uart_sensor();    // Important - see folder about UART sensor
				 
		uint8_t enable = 0;

		// waiting until there is a coming Uart message
		while(!enable)
		{
			enable = Enable_Read();
		};
		Distance_Data = read_distance();
        printk("Ultrasonic Sensor - Water Level is: %d (mm) \n\n", Distance_Data);

		turn_off_sw();
		k_msleep(SLEEP_TIME_MS);
	}
	return 0;
}
