/*
 * Copyright (c) 2016 Intel Corporation
 *
 * SPDX-License-Identifier: Apache-2.0
 */


#include "switch1.h"    //v- For controlling Digital SW to save Power
int8_t ret_SW;


// Start  *************************** GPIO Initialization for Digital SW ************************
		//Get the node identifier for button 1 through its alias sw0
	#define D_SW1 DT_ALIAS(sw)

    // Get the device pointer. pin number, and pin's configuration flags through gpio_dt_spec
	static const struct gpio_dt_spec d_sw1  = GPIO_DT_SPEC_GET(D_SW1, gpios);

    int8_t check_gpio_sw1(void){
        if (!device_is_ready(d_sw1.port)) {
            printk("GPIO initialization for Digital SW is not successful!");
	        return (1);
        }

        // ret_SW = gpio_pin_configure_dt(&d_sw1, GPIO_PULL_UP | GPIO_OUTPUT_ACTIVE);
        ret_SW = gpio_pin_configure_dt(&d_sw1, GPIO_OUTPUT_INACTIVE);       // Pin is at low level originally when configured
        if (ret_SW < 0) {
	        printk("Pin Configuration for Digital SW is not successful!");
            return (1);
        }
    }

    // Used to turrn on the Digital Switch to power the sensor to read data from sensor
    void turn_on_sw (void){
        gpio_pin_set_dt(&d_sw1,1);
    }


    // Used to turrn off the Digital Switch to power down the sensor
    void turn_off_sw (void){
        gpio_pin_set_dt(&d_sw1,0);
    }
    

// Stop  *************************** GPIO Initialization for Digital SW **************************
